/*
 * Copyright 2018 ConsenSys AG.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package tech.pegasys.pantheon.tests.acceptance.dsl.jsonrpc;

import tech.pegasys.pantheon.tests.acceptance.dsl.condition.Condition;
import tech.pegasys.pantheon.tests.acceptance.dsl.condition.web3.ExpectWeb3Sha3Equals;
import tech.pegasys.pantheon.tests.acceptance.dsl.transaction.web3.Web3Transactions;

public class Web3 {

  private final Web3Transactions transactions;

  public Web3(final Web3Transactions transactions) {
    this.transactions = transactions;
  }

  public Condition sha3(final String input, final String expectedHash) {
    return new ExpectWeb3Sha3Equals(transactions.sha3(input), expectedHash);
  }
}
