/*
 * Copyright 2018 ConsenSys AG.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package tech.pegasys.pantheon.ethereum.jsonrpc.websocket.methods;

import tech.pegasys.pantheon.ethereum.jsonrpc.internal.JsonRpcRequest;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonGetter;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonSetter;

public class WebSocketRpcRequest extends JsonRpcRequest {

  private String connectionId;

  @JsonCreator
  public WebSocketRpcRequest(
      @JsonProperty("jsonrpc") final String version,
      @JsonProperty("method") final String method,
      @JsonProperty("params") final Object[] params,
      @JsonProperty("connectionId") final String connectionId) {
    super(version, method, params);
    this.connectionId = connectionId;
  }

  @JsonSetter("connectionId")
  public void setConnectionId(final String connectionId) {
    this.connectionId = connectionId;
  }

  @JsonGetter("connectionId")
  public String getConnectionId() {
    return this.connectionId;
  }
}
